
<mat-card>
  <button mat-button (click)="logout()" color="primary">
    Logout

  </button>

  {{errorFromServer}}
</mat-card>

<mat-selection-list #blogposts>
  <mat-list-option *ngFor="let bp of allBlogposts" [value]="bp._id">
    <a [routerLink]="['/admin/blog-posts/', bp._id]"> {{ bp.title }} </a>
  </mat-list-option>
</mat-selection-list>

<mat-card>
  <p>Options selected: {{ blogposts.selectedOptions.selected.length }}</p>
  <mat-card-actions>
    <button
      (click)="deleteBlogposts(blogposts.selectedOptions.selected)"
      *ngIf="blogposts.selectedOptions.selected.length > 0"
      mat-button
      color="primary"
    >
      delete
    </button>
  </mat-card-actions>
</mat-card>

<app-blogpost-add> </app-blogpost-add>
